<?php

/**  // € // to identify files as UTF8
 * handle links defined in linker tool
 *
 * @module          linker_view
 * @author          Wolfgang Studer
 * @copyright       2017 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.08.000 | 2017-12-30
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/linker_view.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3054
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// the view headers comes out of the defined preset
	global $database;
	global $current_section;
	$query = 'SELECT `preset_path` '
				. ' FROM ' . TABLE_PREFIX . 'mod_linker_view'
				. ' WHERE `section_id`	= ' . $current_section
			;
	$preset_path = $database->get_one( $query );

	if (( strlen( $preset_path ) > 0 )
	and ( is_file( LEPTON_PATH . $preset_path . DIRECTORY_SEPARATOR . 'linker_headers.inc.php' ) == TRUE )):
		// include the preset headers.inc file
		include( LEPTON_PATH . $preset_path . DIRECTORY_SEPARATOR . 'linker_headers.inc.php' );
	endif;

?>
