<?php

/**  // € // to identify files as UTF8
 * handle links defined in linker tool
 *
 * @module          linker_view
 * @author          Wolfgang Studer
 * @copyright       2017 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.08.000 | 2017-12-30
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/linker_view.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3054
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php

$module_directory     = 'linker_view';
$module_name          = 'Link Handler';
$module_function      = 'page';
$module_version       = '1.08.000';
$module_platform      = '2.x';
$module_author        = 'Wolfgang Studer';
$module_license       = 'GNU General Public License';
$module_license_terms = '-';
$module_description   = 'handle links defined in linker tool';
$module_guid          = 'f13a5da3-586b-4a09-a0d9-e78ef7a427f5';
$module_home          = 'www.wolfgangstuder.ch | www.lepton-cms.com';
$lepador_link         = 'http://www.lepton-cms.com/lepador/modules/linker_view.php';
$forum_link           = 'http://forum.lepton-cms.org/viewtopic.php?f=66&t=3054';


/*
Changelog
------------------------------------------------------------------------------------------------------
1.08.000		Sat Dec 30 17:37:40 UTC 2017		WolfgangStuder		...
1.07.000		Sun Dec 18 16:10:59 UTC 2016		WolfgangStuder		various internal allignments and clean ups
1.06.000		Sun Dec 18 15:46:58 UTC 2016		WolfgangStuder		various internal allignments and clean ups
1.05.000		Mon Dec  5 11:39:26 UTC 2016		WolfgangStuder		...
1.04.000		Fri Dec  2 20:31:30 UTC 2016		WolfgangStuder		various smaller layout updates, adding active flag
1.03.000		Wed Nov 30 17:50:35 UTC 2016		WolfgangStuder		add notes field
1.02.000		Sun Nov 27 17:48:20 UTC 2016		WolfgangStuder		added support for new linker page & media types
1.01.000		Fri Nov 18 18:55:06 UTC 2016		WolfgangStuder		bug fix
1.00.000		Fri Nov 11 22:17:13 UTC 2016		WolfgangStuder		first public release
*/

?>
