<?php

/**  // € // to identify files as UTF8
 * handle links defined in linker tool
 *
 * @module          linker_view
 * @author          Wolfgang Studer
 * @copyright       2017 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.08.000 | 2017-12-30
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/linker_view.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3054
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// get presets
	$presetFolders = array();
	linker_get_presets( $presetFolders, 'linker' );

// get list of all groups
	$query = 'SELECT l.*, t.`link_title`, t.`link_desc` '
				. ' FROM ' . TABLE_PREFIX . 'mod_linker l'
				. ' LEFT OUTER JOIN ' . TABLE_PREFIX . 'mod_linker_text t'
				. '    ON l.`link_id`  = t.`link_id`'
				. '   AND t.`language` = "' . LANGUAGE . '"'
				. ' WHERE l.`parent`   = 0'
				. ' ORDER BY l.`position`'
				;
	$tmp = linker_execute_query( __FUNCTION__, $query, 'get_all' );

// initialize group & collection details
	$groups = array();
	$collections = array();

// load group & collection details
	if ( count( $tmp ) > 0 ):
		include($linker_modulePath . 'lib/lib.data.modify.group.php');
		include($linker_modulePath . 'lib/lib.data.modify.collection.php');
	endif;
?>
