<?php

/**  // € // to identify files as UTF8
 * handle links defined in linker tool
 *
 * @module          linker_view
 * @author          Wolfgang Studer
 * @copyright       2017 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.08.000 | 2017-12-30
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/linker_view.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3054
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// for any reasons there are some problem with usage of global in the functions below ...
// so I do:
	$linker_vars = array();
	$linker_vars[ 'linker_view_debug' ]		= FALSE;
	$linker_vars[ 'MOD_LINKER_VIEW' ]	= $MOD_LINKER_VIEW;

// set function path
	$functionPath = $linker_modulePath . '/lib/functions/';

// add module for table access
	$includes[]	= array( 'LOADER'=> 'require', 'FILE' => $functionPath . 'function.execute_query.php' );

// add module for input filter
	$includes[]	= array( 'LOADER'=> 'require', 'FILE' => $functionPath . 'function.input_filter.php' );

// add module for evaluating link status
	$includes[]	= array( 'LOADER'=> 'require', 'FILE' => $functionPath . 'function.evaluate_status.php' );

// add module to get user details
	$includes[]	= array( 'LOADER'=> 'require', 'FILE' => $functionPath . 'function.get_user_details.php' );

?>
