<?php

/**  // € // to identify files as UTF8
 * handle links defined in linker tool
 *
 * @module          linker_view
 * @author          Wolfgang Studer
 * @copyright       2017 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.08.000 | 2017-12-30
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/linker_view.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3054
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// Titel
	$MOD_LINKER_VIEW['H2']						= 'Link handling';

// field names
	$MOD_LINKER_VIEW['FLD']['in_active']			= 'Active / Inactive';
	$MOD_LINKER_VIEW['FLD']['preset_name']		= 'Preset';
	$MOD_LINKER_VIEW['FLD']['group_select']		= 'Link group select';
	$MOD_LINKER_VIEW['FLD']['groups']			= 'Link groups';
	$MOD_LINKER_VIEW['FLD']['collections']		= 'Collections';
	$MOD_LINKER_VIEW['FLD']['description']		= 'Preset description';
	$MOD_LINKER_VIEW['FLD']['notes']				= 'Notes';

// placeholder values
	// if such a value is set, the placeholder is shown when empty
//	$MOD_LINKER_VIEW['PLH']['preset_name']		= '';

// helptext values
	// if such a value is set, the help icon is shown with this text as title
	$MOD_LINKER_VIEW['HLP']['in_active']			= 'Toggle this section to active or inactive.';
	$MOD_LINKER_VIEW['HLP']['preset_name']		= 'Defines the Preset.';
	$MOD_LINKER_VIEW['HLP']['group_select']		= 'Defines the link groups to be shown here.';
	$MOD_LINKER_VIEW['HLP']['groups']			= 'Select the link groups you want to show in frontend!';
	$MOD_LINKER_VIEW['HLP']['collections']		= 'Select the Collections you want to show in frontend!';
	$MOD_LINKER_VIEW['HLP']['description']		= 'A Preset description';
	$MOD_LINKER_VIEW['HLP']['notes']				= 'Own notes for current setup';

// default value for option list
	$MOD_LINKER_VIEW['LIST']['preset_select']	= 'Please select ...';
	$MOD_LINKER_VIEW['LIST']['groups']['all']	= 'All';
	$MOD_LINKER_VIEW['LIST']['groups']['select']	= 'selected groups ...';
	$MOD_LINKER_VIEW['LIST']['groups']['collection']	= 'selected collections ...';

// Button name
	$MOD_LINKER_VIEW['BTN']['options']			= 'Option Details ...';

// tooltips
	$MOD_LINKER_VIEW['XTIP']['group']['ACTIVE']			= 'This group is active.';
	$MOD_LINKER_VIEW['XTIP']['group']['INACTIVE']		= 'This group is NOT active.';
	$MOD_LINKER_VIEW['XTIP']['group']['DELETED']			= 'The group has been marked as >deleted<.';
	$MOD_LINKER_VIEW['XTIP']['group']['UNDEFINED']		= 'This group is not deleted but might have links with various status.';
	$MOD_LINKER_VIEW['XTIP']['collection']['ACTIVE']		= 'All groups within this collection are active.';
	$MOD_LINKER_VIEW['XTIP']['collection']['INACTIVE']	= 'All groups within this collection are NOT active.';
	$MOD_LINKER_VIEW['XTIP']['collection']['SOMEACTIVE']	= 'Some groups within this collection are active, however some are not.';
	$MOD_LINKER_VIEW['XTIP']['collection']['DELETED']	= 'All groups within this collection has been marked as >deleted<.';
	$MOD_LINKER_VIEW['XTIP']['collection']['UNDEFINED']	= 'This collection contains groups & links with various status.';
	$MOD_LINKER_VIEW['XTIP']['collection']['VARIOUSVISIBLE']	= 'This collection contains groups with various visibilities.';

	$MOD_LINKER_VIEW['TIP']['active']			= 'This section is active.';
	$MOD_LINKER_VIEW['TIP']['inactive']			= 'This section is inactive.';

// JS dialog titles
	$MOD_LINKER_VIEW['DIALOG']['toggle_active']	= 'Active / Inactive';

?>
