<?php

/**  // € // to identify files as UTF8
 * handle links defined in linker tool
 *
 * @module          linker_view
 * @author          Wolfgang Studer
 * @copyright       2017 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.08.000 | 2017-12-30
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/linker_view.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3054
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


/** ------------------------------------------------------------------------------------
 * function to get user details
 * @return	array	$user	= contains user info
 * @param	int		$user_id
 * @param	array	$linker_vars
 ** ------------------------------------------------------------------------------------
 */
if ( function_exists( 'linker_get_user_details' ) == FALSE ):
	function linker_get_user_details( $user_id = 0, $linker_vars = array() )
	{
		$query = 'SELECT `username`,`display_name` '
				. '  FROM `' . TABLE_PREFIX . 'users` '
				. ' WHERE `user_id` = "' . $user_id . '"'
				;

		$user = array();
		$user = linker_execute_query( __FUNCTION__, $query, 'get_all_one', $linker_vars );

		if ( count( $user ) == 0 ):
			$user['display_name'] = 'Unknown';
			$user['username']     = 'unknown';
		endif;

		return $user;
	}
endif;

?>
