<?php

/**  // € // to identify files as UTF8
 * handle links defined in linker tool
 *
 * @module          linker_view
 * @author          Wolfgang Studer
 * @copyright       2017 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.08.000 | 2017-12-30
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/linker_view.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3054
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// define the template standard to be used
	$preset_path = LEPTON_PATH . $preset_path;

// define the preset template to be used
	if ( file_exists( $preset_path . DIRECTORY_SEPARATOR . 'linker_info.php' ) == TRUE ):
		include( $preset_path . DIRECTORY_SEPARATOR . 'linker_info.php' );
		// note that preset_path (incl LEPTON_PATH) can be changed herein!
	endif;

// load optionSets file in preset path folder
	$optionSets = array();
	if ( file_exists( $preset_path . DIRECTORY_SEPARATOR . 'linker_options.php' ) == TRUE ):
		include( $preset_path . DIRECTORY_SEPARATOR . 'linker_options.php' );
	endif;

// complete optionSets array with base required attributes
	linker_validate_optionset( $optionSets );

// get options but keep only those different than default
// build data array for save
	// target layout e.g. : transition:"fade",slideshow:false
	$options	= '';
	$properties	= '';
	linker_prepare_string( $optionSets, $data, $options, $properties );

// update data
	$query = 'UPDATE ' . TABLE_PREFIX . 'mod_linker_view '
			. ' SET '
			. '  `modified_by`		= ' . $admin->get_user_id()
			. ', `version_number`	= `version_number` + 1'
			. ', `options`			= \'' . $options . '\''
			. ', `properties`		= \'' . $properties . '\''
			. ' WHERE `page_id`		= ' . $page_id
			. '   AND `section_id`	= ' . $section_id
			;

// do the update!
	$status = linker_execute_query( __FUNCTION__, $query, 'try_catch' );

?>
